DROP TABLE CRST_RCV_SHIPMENT_LINES;

CREATE TABLE CRST_RCV_SHIPMENT_LINES
(
  SHIPMENT_LINE_ID              NUMBER          NOT NULL,
  LAST_UPDATE_DATE              DATE            NOT NULL,
  LAST_UPDATED_BY               NUMBER          NOT NULL,
  CREATION_DATE                 DATE            NOT NULL,
  CREATED_BY                    NUMBER          NOT NULL,
  LAST_UPDATE_LOGIN             NUMBER,
  SHIPMENT_HEADER_ID            NUMBER          NOT NULL,
  LINE_NUM                      NUMBER          NOT NULL,
  CATEGORY_ID                   NUMBER          NOT NULL,
  QUANTITY_SHIPPED              NUMBER          NOT NULL,
  QUANTITY_RECEIVED             NUMBER,
  UNIT_OF_MEASURE               VARCHAR2(25 BYTE) NOT NULL,
  ITEM_DESCRIPTION              VARCHAR2(240 BYTE) NOT NULL,
  ITEM_ID                       NUMBER,
  ITEM_REVISION                 VARCHAR2(3 BYTE),
  VENDOR_ITEM_NUM               VARCHAR2(25 BYTE),
  VENDOR_LOT_NUM                VARCHAR2(30 BYTE),
  UOM_CONVERSION_RATE           NUMBER,
  SHIPMENT_LINE_STATUS_CODE     VARCHAR2(25 BYTE),
  SOURCE_DOCUMENT_CODE          VARCHAR2(25 BYTE),
  PO_HEADER_ID                  NUMBER,
  PO_RELEASE_ID                 NUMBER,
  PO_LINE_ID                    NUMBER,
  PO_LINE_LOCATION_ID           NUMBER,
  PO_DISTRIBUTION_ID            NUMBER,
  REQUISITION_LINE_ID           NUMBER,
  REQ_DISTRIBUTION_ID           NUMBER,
  ROUTING_HEADER_ID             NUMBER,
  PACKING_SLIP                  VARCHAR2(25 BYTE),
  FROM_ORGANIZATION_ID          NUMBER,
  DELIVER_TO_PERSON_ID          NUMBER(9),
  EMPLOYEE_ID                   NUMBER(9),
  DESTINATION_TYPE_CODE         VARCHAR2(25 BYTE),
  TO_ORGANIZATION_ID            NUMBER,
  TO_SUBINVENTORY               VARCHAR2(10 BYTE),
  LOCATOR_ID                    NUMBER,
  DELIVER_TO_LOCATION_ID        NUMBER,
  CHARGE_ACCOUNT_ID             NUMBER,
  TRANSPORTATION_ACCOUNT_ID     NUMBER,
  SHIPMENT_UNIT_PRICE           NUMBER,
  TRANSFER_COST                 NUMBER,
  TRANSPORTATION_COST           NUMBER,
  COMMENTS                      VARCHAR2(240 BYTE),
  ATTRIBUTE_CATEGORY            VARCHAR2(30 BYTE),
  ATTRIBUTE1                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                    VARCHAR2(150 BYTE),
  ATTRIBUTE3                    VARCHAR2(150 BYTE),
  ATTRIBUTE4                    VARCHAR2(150 BYTE),
  ATTRIBUTE5                    VARCHAR2(150 BYTE),
  ATTRIBUTE6                    VARCHAR2(150 BYTE),
  ATTRIBUTE7                    VARCHAR2(150 BYTE),
  ATTRIBUTE8                    VARCHAR2(150 BYTE),
  ATTRIBUTE9                    VARCHAR2(150 BYTE),
  ATTRIBUTE10                   VARCHAR2(150 BYTE),
  ATTRIBUTE11                   VARCHAR2(150 BYTE),
  ATTRIBUTE12                   VARCHAR2(150 BYTE),
  ATTRIBUTE13                   VARCHAR2(150 BYTE),
  ATTRIBUTE14                   VARCHAR2(150 BYTE),
  ATTRIBUTE15                   VARCHAR2(150 BYTE),
  REASON_ID                     NUMBER,
  USSGL_TRANSACTION_CODE        VARCHAR2(30 BYTE),
  GOVERNMENT_CONTEXT            VARCHAR2(30 BYTE),
  REQUEST_ID                    NUMBER,
  PROGRAM_APPLICATION_ID        NUMBER,
  PROGRAM_ID                    NUMBER,
  PROGRAM_UPDATE_DATE           DATE,
  DESTINATION_CONTEXT           VARCHAR2(30 BYTE),
  PRIMARY_UNIT_OF_MEASURE       VARCHAR2(25 BYTE) NOT NULL,
  EXCESS_TRANSPORT_REASON       VARCHAR2(25 BYTE),
  EXCESS_TRANSPORT_RESPONSIBLE  VARCHAR2(25 BYTE),
  EXCESS_TRANSPORT_AUTH_NUM     VARCHAR2(30 BYTE),
  ASN_LINE_FLAG                 VARCHAR2(1 BYTE),
  ORIGINAL_ASN_PARENT_LINE_ID   VARCHAR2(1 BYTE),
  ORIGINAL_ASN_LINE_FLAG        VARCHAR2(1 BYTE),
  VENDOR_CUM_SHIPPED_QUANTITY   NUMBER,
  NOTICE_UNIT_PRICE             NUMBER,
  TAX_NAME                      VARCHAR2(15 BYTE),
  TAX_AMOUNT                    NUMBER,
  INVOICE_STATUS_CODE           VARCHAR2(25 BYTE),
  CUM_COMPARISON_FLAG           VARCHAR2(1 BYTE),
  CONTAINER_NUM                 VARCHAR2(35 BYTE),
  TRUCK_NUM                     VARCHAR2(35 BYTE),
  BAR_CODE_LABEL                VARCHAR2(35 BYTE),
  TRANSFER_PERCENTAGE           NUMBER,
  MRC_SHIPMENT_UNIT_PRICE       VARCHAR2(2000 BYTE),
  MRC_TRANSFER_COST             VARCHAR2(2000 BYTE),
  MRC_TRANSPORTATION_COST       VARCHAR2(2000 BYTE),
  MRC_NOTICE_UNIT_PRICE         VARCHAR2(2000 BYTE),
  SHIP_TO_LOCATION_ID           NUMBER,
  COUNTRY_OF_ORIGIN_CODE        VARCHAR2(2 BYTE),
  OE_ORDER_HEADER_ID            NUMBER,
  OE_ORDER_LINE_ID              NUMBER,
  CUSTOMER_ITEM_NUM             VARCHAR2(50 BYTE),
  COST_GROUP_ID                 NUMBER,
  SECONDARY_QUANTITY_SHIPPED    NUMBER,
  SECONDARY_QUANTITY_RECEIVED   NUMBER,
  SECONDARY_UNIT_OF_MEASURE     VARCHAR2(25 BYTE),
  QC_GRADE                      VARCHAR2(25 BYTE),
  SHIPMENT_LINE_ID_N            NUMBER
);
